import sys
from helpfuncs import translateR
from inverse import inv

# parse spatial CSP and fill in the constraint matrix
def parsecsp(ConMatrix, buffer, slimConMatrix):
   
   for line in buffer:

      l = line.strip().replace('(','').replace(')','').split()
      # condition to end parsing
      if l == ['.']:
         break
 
      s = reduce(lambda x, y: x | y, [translateR(i) for i in l[2:]])
      ConMatrix[int(l[0])][int(l[1])] = s
      ConMatrix[int(l[1])][int(l[0])] = inv[s-1]

      if int(l[0]) > int(l[1]):
         slimConMatrix[int(l[0])][int(l[1])] = None
      elif int(l[0]) < int(l[1]):
         slimConMatrix[int(l[1])][int(l[0])] = None
    


